Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network232.192.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
232.192.0.0
Broadcast address
232.223.255.255
First usable
232.192.0.1
Last usable
232.223.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E8C00000 · Integer 3904897024 to 3906994175
Reverse DNS zones
192.232.in-addr.arpa
193.232.in-addr.arpa
194.232.in-addr.arpa
195.232.in-addr.arpa
196.232.in-addr.arpa
197.232.in-addr.arpa
198.232.in-addr.arpa
199.232.in-addr.arpa
200.232.in-addr.arpa
201.232.in-addr.arpa
202.232.in-addr.arpa
203.232.in-addr.arpa
204.232.in-addr.arpa
205.232.in-addr.arpa
206.232.in-addr.arpa
207.232.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101000.11000000.00000000.00000000232.192.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11101000.11000000.00000000.00000000232.192.0.0
Broadcast11101000.11011111.11111111.11111111232.223.255.255
Split into smaller subnets/19

232.192.0.0/11 makes 256 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1232.192.0.0/19232.192.0.1 to 232.192.31.254232.192.31.2558,190
2232.192.32.0/19232.192.32.1 to 232.192.63.254232.192.63.2558,190
3232.192.64.0/19232.192.64.1 to 232.192.95.254232.192.95.2558,190
4232.192.96.0/19232.192.96.1 to 232.192.127.254232.192.127.2558,190
5232.192.128.0/19232.192.128.1 to 232.192.159.254232.192.159.2558,190
6232.192.160.0/19232.192.160.1 to 232.192.191.254232.192.191.2558,190
7232.192.192.0/19232.192.192.1 to 232.192.223.254232.192.223.2558,190
8232.192.224.0/19232.192.224.1 to 232.192.255.254232.192.255.2558,190
9232.193.0.0/19232.193.0.1 to 232.193.31.254232.193.31.2558,190
10232.193.32.0/19232.193.32.1 to 232.193.63.254232.193.63.2558,190
11232.193.64.0/19232.193.64.1 to 232.193.95.254232.193.95.2558,190
12232.193.96.0/19232.193.96.1 to 232.193.127.254232.193.127.2558,190
13232.193.128.0/19232.193.128.1 to 232.193.159.254232.193.159.2558,190
14232.193.160.0/19232.193.160.1 to 232.193.191.254232.193.191.2558,190
15232.193.192.0/19232.193.192.1 to 232.193.223.254232.193.223.2558,190
16232.193.224.0/19232.193.224.1 to 232.193.255.254232.193.255.2558,190
17232.194.0.0/19232.194.0.1 to 232.194.31.254232.194.31.2558,190
18232.194.32.0/19232.194.32.1 to 232.194.63.254232.194.63.2558,190
19232.194.64.0/19232.194.64.1 to 232.194.95.254232.194.95.2558,190
20232.194.96.0/19232.194.96.1 to 232.194.127.254232.194.127.2558,190
21232.194.128.0/19232.194.128.1 to 232.194.159.254232.194.159.2558,190
22232.194.160.0/19232.194.160.1 to 232.194.191.254232.194.191.2558,190
23232.194.192.0/19232.194.192.1 to 232.194.223.254232.194.223.2558,190
24232.194.224.0/19232.194.224.1 to 232.194.255.254232.194.255.2558,190
25232.195.0.0/19232.195.0.1 to 232.195.31.254232.195.31.2558,190
26232.195.32.0/19232.195.32.1 to 232.195.63.254232.195.63.2558,190
27232.195.64.0/19232.195.64.1 to 232.195.95.254232.195.95.2558,190
28232.195.96.0/19232.195.96.1 to 232.195.127.254232.195.127.2558,190
29232.195.128.0/19232.195.128.1 to 232.195.159.254232.195.159.2558,190
30232.195.160.0/19232.195.160.1 to 232.195.191.254232.195.191.2558,190
31232.195.192.0/19232.195.192.1 to 232.195.223.254232.195.223.2558,190
32232.195.224.0/19232.195.224.1 to 232.195.255.254232.195.255.2558,190
33232.196.0.0/19232.196.0.1 to 232.196.31.254232.196.31.2558,190
34232.196.32.0/19232.196.32.1 to 232.196.63.254232.196.63.2558,190
35232.196.64.0/19232.196.64.1 to 232.196.95.254232.196.95.2558,190
36232.196.96.0/19232.196.96.1 to 232.196.127.254232.196.127.2558,190
37232.196.128.0/19232.196.128.1 to 232.196.159.254232.196.159.2558,190
38232.196.160.0/19232.196.160.1 to 232.196.191.254232.196.191.2558,190
39232.196.192.0/19232.196.192.1 to 232.196.223.254232.196.223.2558,190
40232.196.224.0/19232.196.224.1 to 232.196.255.254232.196.255.2558,190
41232.197.0.0/19232.197.0.1 to 232.197.31.254232.197.31.2558,190
42232.197.32.0/19232.197.32.1 to 232.197.63.254232.197.63.2558,190
43232.197.64.0/19232.197.64.1 to 232.197.95.254232.197.95.2558,190
44232.197.96.0/19232.197.96.1 to 232.197.127.254232.197.127.2558,190
45232.197.128.0/19232.197.128.1 to 232.197.159.254232.197.159.2558,190
46232.197.160.0/19232.197.160.1 to 232.197.191.254232.197.191.2558,190
47232.197.192.0/19232.197.192.1 to 232.197.223.254232.197.223.2558,190
48232.197.224.0/19232.197.224.1 to 232.197.255.254232.197.255.2558,190
49232.198.0.0/19232.198.0.1 to 232.198.31.254232.198.31.2558,190
50232.198.32.0/19232.198.32.1 to 232.198.63.254232.198.63.2558,190
51232.198.64.0/19232.198.64.1 to 232.198.95.254232.198.95.2558,190
52232.198.96.0/19232.198.96.1 to 232.198.127.254232.198.127.2558,190
53232.198.128.0/19232.198.128.1 to 232.198.159.254232.198.159.2558,190
54232.198.160.0/19232.198.160.1 to 232.198.191.254232.198.191.2558,190
55232.198.192.0/19232.198.192.1 to 232.198.223.254232.198.223.2558,190
56232.198.224.0/19232.198.224.1 to 232.198.255.254232.198.255.2558,190
57232.199.0.0/19232.199.0.1 to 232.199.31.254232.199.31.2558,190
58232.199.32.0/19232.199.32.1 to 232.199.63.254232.199.63.2558,190
59232.199.64.0/19232.199.64.1 to 232.199.95.254232.199.95.2558,190
60232.199.96.0/19232.199.96.1 to 232.199.127.254232.199.127.2558,190
61232.199.128.0/19232.199.128.1 to 232.199.159.254232.199.159.2558,190
62232.199.160.0/19232.199.160.1 to 232.199.191.254232.199.191.2558,190
63232.199.192.0/19232.199.192.1 to 232.199.223.254232.199.223.2558,190
64232.199.224.0/19232.199.224.1 to 232.199.255.254232.199.255.2558,190
65232.200.0.0/19232.200.0.1 to 232.200.31.254232.200.31.2558,190
66232.200.32.0/19232.200.32.1 to 232.200.63.254232.200.63.2558,190
67232.200.64.0/19232.200.64.1 to 232.200.95.254232.200.95.2558,190
68232.200.96.0/19232.200.96.1 to 232.200.127.254232.200.127.2558,190
69232.200.128.0/19232.200.128.1 to 232.200.159.254232.200.159.2558,190
70232.200.160.0/19232.200.160.1 to 232.200.191.254232.200.191.2558,190
71232.200.192.0/19232.200.192.1 to 232.200.223.254232.200.223.2558,190
72232.200.224.0/19232.200.224.1 to 232.200.255.254232.200.255.2558,190
73232.201.0.0/19232.201.0.1 to 232.201.31.254232.201.31.2558,190
74232.201.32.0/19232.201.32.1 to 232.201.63.254232.201.63.2558,190
75232.201.64.0/19232.201.64.1 to 232.201.95.254232.201.95.2558,190
76232.201.96.0/19232.201.96.1 to 232.201.127.254232.201.127.2558,190
77232.201.128.0/19232.201.128.1 to 232.201.159.254232.201.159.2558,190
78232.201.160.0/19232.201.160.1 to 232.201.191.254232.201.191.2558,190
79232.201.192.0/19232.201.192.1 to 232.201.223.254232.201.223.2558,190
80232.201.224.0/19232.201.224.1 to 232.201.255.254232.201.255.2558,190
81232.202.0.0/19232.202.0.1 to 232.202.31.254232.202.31.2558,190
82232.202.32.0/19232.202.32.1 to 232.202.63.254232.202.63.2558,190
83232.202.64.0/19232.202.64.1 to 232.202.95.254232.202.95.2558,190
84232.202.96.0/19232.202.96.1 to 232.202.127.254232.202.127.2558,190
85232.202.128.0/19232.202.128.1 to 232.202.159.254232.202.159.2558,190
86232.202.160.0/19232.202.160.1 to 232.202.191.254232.202.191.2558,190
87232.202.192.0/19232.202.192.1 to 232.202.223.254232.202.223.2558,190
88232.202.224.0/19232.202.224.1 to 232.202.255.254232.202.255.2558,190
89232.203.0.0/19232.203.0.1 to 232.203.31.254232.203.31.2558,190
90232.203.32.0/19232.203.32.1 to 232.203.63.254232.203.63.2558,190
91232.203.64.0/19232.203.64.1 to 232.203.95.254232.203.95.2558,190
92232.203.96.0/19232.203.96.1 to 232.203.127.254232.203.127.2558,190
93232.203.128.0/19232.203.128.1 to 232.203.159.254232.203.159.2558,190
94232.203.160.0/19232.203.160.1 to 232.203.191.254232.203.191.2558,190
95232.203.192.0/19232.203.192.1 to 232.203.223.254232.203.223.2558,190
96232.203.224.0/19232.203.224.1 to 232.203.255.254232.203.255.2558,190
97232.204.0.0/19232.204.0.1 to 232.204.31.254232.204.31.2558,190
98232.204.32.0/19232.204.32.1 to 232.204.63.254232.204.63.2558,190
99232.204.64.0/19232.204.64.1 to 232.204.95.254232.204.95.2558,190
100232.204.96.0/19232.204.96.1 to 232.204.127.254232.204.127.2558,190
101232.204.128.0/19232.204.128.1 to 232.204.159.254232.204.159.2558,190
102232.204.160.0/19232.204.160.1 to 232.204.191.254232.204.191.2558,190
103232.204.192.0/19232.204.192.1 to 232.204.223.254232.204.223.2558,190
104232.204.224.0/19232.204.224.1 to 232.204.255.254232.204.255.2558,190
105232.205.0.0/19232.205.0.1 to 232.205.31.254232.205.31.2558,190
106232.205.32.0/19232.205.32.1 to 232.205.63.254232.205.63.2558,190
107232.205.64.0/19232.205.64.1 to 232.205.95.254232.205.95.2558,190
108232.205.96.0/19232.205.96.1 to 232.205.127.254232.205.127.2558,190
109232.205.128.0/19232.205.128.1 to 232.205.159.254232.205.159.2558,190
110232.205.160.0/19232.205.160.1 to 232.205.191.254232.205.191.2558,190
111232.205.192.0/19232.205.192.1 to 232.205.223.254232.205.223.2558,190
112232.205.224.0/19232.205.224.1 to 232.205.255.254232.205.255.2558,190
113232.206.0.0/19232.206.0.1 to 232.206.31.254232.206.31.2558,190
114232.206.32.0/19232.206.32.1 to 232.206.63.254232.206.63.2558,190
115232.206.64.0/19232.206.64.1 to 232.206.95.254232.206.95.2558,190
116232.206.96.0/19232.206.96.1 to 232.206.127.254232.206.127.2558,190
117232.206.128.0/19232.206.128.1 to 232.206.159.254232.206.159.2558,190
118232.206.160.0/19232.206.160.1 to 232.206.191.254232.206.191.2558,190
119232.206.192.0/19232.206.192.1 to 232.206.223.254232.206.223.2558,190
120232.206.224.0/19232.206.224.1 to 232.206.255.254232.206.255.2558,190
121232.207.0.0/19232.207.0.1 to 232.207.31.254232.207.31.2558,190
122232.207.32.0/19232.207.32.1 to 232.207.63.254232.207.63.2558,190
123232.207.64.0/19232.207.64.1 to 232.207.95.254232.207.95.2558,190
124232.207.96.0/19232.207.96.1 to 232.207.127.254232.207.127.2558,190
125232.207.128.0/19232.207.128.1 to 232.207.159.254232.207.159.2558,190
126232.207.160.0/19232.207.160.1 to 232.207.191.254232.207.191.2558,190
127232.207.192.0/19232.207.192.1 to 232.207.223.254232.207.223.2558,190
128232.207.224.0/19232.207.224.1 to 232.207.255.254232.207.255.2558,190
129232.208.0.0/19232.208.0.1 to 232.208.31.254232.208.31.2558,190
130232.208.32.0/19232.208.32.1 to 232.208.63.254232.208.63.2558,190
131232.208.64.0/19232.208.64.1 to 232.208.95.254232.208.95.2558,190
132232.208.96.0/19232.208.96.1 to 232.208.127.254232.208.127.2558,190
133232.208.128.0/19232.208.128.1 to 232.208.159.254232.208.159.2558,190
134232.208.160.0/19232.208.160.1 to 232.208.191.254232.208.191.2558,190
135232.208.192.0/19232.208.192.1 to 232.208.223.254232.208.223.2558,190
136232.208.224.0/19232.208.224.1 to 232.208.255.254232.208.255.2558,190
137232.209.0.0/19232.209.0.1 to 232.209.31.254232.209.31.2558,190
138232.209.32.0/19232.209.32.1 to 232.209.63.254232.209.63.2558,190
139232.209.64.0/19232.209.64.1 to 232.209.95.254232.209.95.2558,190
140232.209.96.0/19232.209.96.1 to 232.209.127.254232.209.127.2558,190
141232.209.128.0/19232.209.128.1 to 232.209.159.254232.209.159.2558,190
142232.209.160.0/19232.209.160.1 to 232.209.191.254232.209.191.2558,190
143232.209.192.0/19232.209.192.1 to 232.209.223.254232.209.223.2558,190
144232.209.224.0/19232.209.224.1 to 232.209.255.254232.209.255.2558,190
145232.210.0.0/19232.210.0.1 to 232.210.31.254232.210.31.2558,190
146232.210.32.0/19232.210.32.1 to 232.210.63.254232.210.63.2558,190
147232.210.64.0/19232.210.64.1 to 232.210.95.254232.210.95.2558,190
148232.210.96.0/19232.210.96.1 to 232.210.127.254232.210.127.2558,190
149232.210.128.0/19232.210.128.1 to 232.210.159.254232.210.159.2558,190
150232.210.160.0/19232.210.160.1 to 232.210.191.254232.210.191.2558,190
151232.210.192.0/19232.210.192.1 to 232.210.223.254232.210.223.2558,190
152232.210.224.0/19232.210.224.1 to 232.210.255.254232.210.255.2558,190
153232.211.0.0/19232.211.0.1 to 232.211.31.254232.211.31.2558,190
154232.211.32.0/19232.211.32.1 to 232.211.63.254232.211.63.2558,190
155232.211.64.0/19232.211.64.1 to 232.211.95.254232.211.95.2558,190
156232.211.96.0/19232.211.96.1 to 232.211.127.254232.211.127.2558,190
157232.211.128.0/19232.211.128.1 to 232.211.159.254232.211.159.2558,190
158232.211.160.0/19232.211.160.1 to 232.211.191.254232.211.191.2558,190
159232.211.192.0/19232.211.192.1 to 232.211.223.254232.211.223.2558,190
160232.211.224.0/19232.211.224.1 to 232.211.255.254232.211.255.2558,190
161232.212.0.0/19232.212.0.1 to 232.212.31.254232.212.31.2558,190
162232.212.32.0/19232.212.32.1 to 232.212.63.254232.212.63.2558,190
163232.212.64.0/19232.212.64.1 to 232.212.95.254232.212.95.2558,190
164232.212.96.0/19232.212.96.1 to 232.212.127.254232.212.127.2558,190
165232.212.128.0/19232.212.128.1 to 232.212.159.254232.212.159.2558,190
166232.212.160.0/19232.212.160.1 to 232.212.191.254232.212.191.2558,190
167232.212.192.0/19232.212.192.1 to 232.212.223.254232.212.223.2558,190
168232.212.224.0/19232.212.224.1 to 232.212.255.254232.212.255.2558,190
169232.213.0.0/19232.213.0.1 to 232.213.31.254232.213.31.2558,190
170232.213.32.0/19232.213.32.1 to 232.213.63.254232.213.63.2558,190
171232.213.64.0/19232.213.64.1 to 232.213.95.254232.213.95.2558,190
172232.213.96.0/19232.213.96.1 to 232.213.127.254232.213.127.2558,190
173232.213.128.0/19232.213.128.1 to 232.213.159.254232.213.159.2558,190
174232.213.160.0/19232.213.160.1 to 232.213.191.254232.213.191.2558,190
175232.213.192.0/19232.213.192.1 to 232.213.223.254232.213.223.2558,190
176232.213.224.0/19232.213.224.1 to 232.213.255.254232.213.255.2558,190
177232.214.0.0/19232.214.0.1 to 232.214.31.254232.214.31.2558,190
178232.214.32.0/19232.214.32.1 to 232.214.63.254232.214.63.2558,190
179232.214.64.0/19232.214.64.1 to 232.214.95.254232.214.95.2558,190
180232.214.96.0/19232.214.96.1 to 232.214.127.254232.214.127.2558,190
181232.214.128.0/19232.214.128.1 to 232.214.159.254232.214.159.2558,190
182232.214.160.0/19232.214.160.1 to 232.214.191.254232.214.191.2558,190
183232.214.192.0/19232.214.192.1 to 232.214.223.254232.214.223.2558,190
184232.214.224.0/19232.214.224.1 to 232.214.255.254232.214.255.2558,190
185232.215.0.0/19232.215.0.1 to 232.215.31.254232.215.31.2558,190
186232.215.32.0/19232.215.32.1 to 232.215.63.254232.215.63.2558,190
187232.215.64.0/19232.215.64.1 to 232.215.95.254232.215.95.2558,190
188232.215.96.0/19232.215.96.1 to 232.215.127.254232.215.127.2558,190
189232.215.128.0/19232.215.128.1 to 232.215.159.254232.215.159.2558,190
190232.215.160.0/19232.215.160.1 to 232.215.191.254232.215.191.2558,190
191232.215.192.0/19232.215.192.1 to 232.215.223.254232.215.223.2558,190
192232.215.224.0/19232.215.224.1 to 232.215.255.254232.215.255.2558,190
193232.216.0.0/19232.216.0.1 to 232.216.31.254232.216.31.2558,190
194232.216.32.0/19232.216.32.1 to 232.216.63.254232.216.63.2558,190
195232.216.64.0/19232.216.64.1 to 232.216.95.254232.216.95.2558,190
196232.216.96.0/19232.216.96.1 to 232.216.127.254232.216.127.2558,190
197232.216.128.0/19232.216.128.1 to 232.216.159.254232.216.159.2558,190
198232.216.160.0/19232.216.160.1 to 232.216.191.254232.216.191.2558,190
199232.216.192.0/19232.216.192.1 to 232.216.223.254232.216.223.2558,190
200232.216.224.0/19232.216.224.1 to 232.216.255.254232.216.255.2558,190
201232.217.0.0/19232.217.0.1 to 232.217.31.254232.217.31.2558,190
202232.217.32.0/19232.217.32.1 to 232.217.63.254232.217.63.2558,190
203232.217.64.0/19232.217.64.1 to 232.217.95.254232.217.95.2558,190
204232.217.96.0/19232.217.96.1 to 232.217.127.254232.217.127.2558,190
205232.217.128.0/19232.217.128.1 to 232.217.159.254232.217.159.2558,190
206232.217.160.0/19232.217.160.1 to 232.217.191.254232.217.191.2558,190
207232.217.192.0/19232.217.192.1 to 232.217.223.254232.217.223.2558,190
208232.217.224.0/19232.217.224.1 to 232.217.255.254232.217.255.2558,190
209232.218.0.0/19232.218.0.1 to 232.218.31.254232.218.31.2558,190
210232.218.32.0/19232.218.32.1 to 232.218.63.254232.218.63.2558,190
211232.218.64.0/19232.218.64.1 to 232.218.95.254232.218.95.2558,190
212232.218.96.0/19232.218.96.1 to 232.218.127.254232.218.127.2558,190
213232.218.128.0/19232.218.128.1 to 232.218.159.254232.218.159.2558,190
214232.218.160.0/19232.218.160.1 to 232.218.191.254232.218.191.2558,190
215232.218.192.0/19232.218.192.1 to 232.218.223.254232.218.223.2558,190
216232.218.224.0/19232.218.224.1 to 232.218.255.254232.218.255.2558,190
217232.219.0.0/19232.219.0.1 to 232.219.31.254232.219.31.2558,190
218232.219.32.0/19232.219.32.1 to 232.219.63.254232.219.63.2558,190
219232.219.64.0/19232.219.64.1 to 232.219.95.254232.219.95.2558,190
220232.219.96.0/19232.219.96.1 to 232.219.127.254232.219.127.2558,190
221232.219.128.0/19232.219.128.1 to 232.219.159.254232.219.159.2558,190
222232.219.160.0/19232.219.160.1 to 232.219.191.254232.219.191.2558,190
223232.219.192.0/19232.219.192.1 to 232.219.223.254232.219.223.2558,190
224232.219.224.0/19232.219.224.1 to 232.219.255.254232.219.255.2558,190
225232.220.0.0/19232.220.0.1 to 232.220.31.254232.220.31.2558,190
226232.220.32.0/19232.220.32.1 to 232.220.63.254232.220.63.2558,190
227232.220.64.0/19232.220.64.1 to 232.220.95.254232.220.95.2558,190
228232.220.96.0/19232.220.96.1 to 232.220.127.254232.220.127.2558,190
229232.220.128.0/19232.220.128.1 to 232.220.159.254232.220.159.2558,190
230232.220.160.0/19232.220.160.1 to 232.220.191.254232.220.191.2558,190
231232.220.192.0/19232.220.192.1 to 232.220.223.254232.220.223.2558,190
232232.220.224.0/19232.220.224.1 to 232.220.255.254232.220.255.2558,190
233232.221.0.0/19232.221.0.1 to 232.221.31.254232.221.31.2558,190
234232.221.32.0/19232.221.32.1 to 232.221.63.254232.221.63.2558,190
235232.221.64.0/19232.221.64.1 to 232.221.95.254232.221.95.2558,190
236232.221.96.0/19232.221.96.1 to 232.221.127.254232.221.127.2558,190
237232.221.128.0/19232.221.128.1 to 232.221.159.254232.221.159.2558,190
238232.221.160.0/19232.221.160.1 to 232.221.191.254232.221.191.2558,190
239232.221.192.0/19232.221.192.1 to 232.221.223.254232.221.223.2558,190
240232.221.224.0/19232.221.224.1 to 232.221.255.254232.221.255.2558,190
241232.222.0.0/19232.222.0.1 to 232.222.31.254232.222.31.2558,190
242232.222.32.0/19232.222.32.1 to 232.222.63.254232.222.63.2558,190
243232.222.64.0/19232.222.64.1 to 232.222.95.254232.222.95.2558,190
244232.222.96.0/19232.222.96.1 to 232.222.127.254232.222.127.2558,190
245232.222.128.0/19232.222.128.1 to 232.222.159.254232.222.159.2558,190
246232.222.160.0/19232.222.160.1 to 232.222.191.254232.222.191.2558,190
247232.222.192.0/19232.222.192.1 to 232.222.223.254232.222.223.2558,190
248232.222.224.0/19232.222.224.1 to 232.222.255.254232.222.255.2558,190
249232.223.0.0/19232.223.0.1 to 232.223.31.254232.223.31.2558,190
250232.223.32.0/19232.223.32.1 to 232.223.63.254232.223.63.2558,190
251232.223.64.0/19232.223.64.1 to 232.223.95.254232.223.95.2558,190
252232.223.96.0/19232.223.96.1 to 232.223.127.254232.223.127.2558,190
253232.223.128.0/19232.223.128.1 to 232.223.159.254232.223.159.2558,190
254232.223.160.0/19232.223.160.1 to 232.223.191.254232.223.191.2558,190
255232.223.192.0/19232.223.192.1 to 232.223.223.254232.223.223.2558,190
256232.223.224.0/19232.223.224.1 to 232.223.255.254232.223.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses